package com.ruoyi.system.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.TpDept;
import com.ruoyi.system.service.ITpDeptService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 投票单位Controller
 * 
 * @author ruoyi
 * @date 2024-10-11
 */
@RestController
@RequestMapping("/system/tpDept")
public class TpDeptController extends BaseController
{
    @Autowired
    private ITpDeptService tpDeptService;

    /**
     * 查询投票单位列表
     */
//    @PreAuthorize("@ss.hasPermi('system:dept:list')")
    @GetMapping("/list")
    public TableDataInfo list(TpDept tpDept)
    {
        startPage();
        List<TpDept> list = tpDeptService.selectTpDeptList(tpDept);
        return getDataTable(list);
    }

    @GetMapping("/listjg")
    public TableDataInfo listjg(TpDept tpDept)
    {
        startPage();
        List<TpDept> list = tpDeptService.selectTpDeptListjg(tpDept);
        return getDataTable(list);
    }

    /**
     * 导出投票单位列表
     */
//    @PreAuthorize("@ss.hasPermi('system:dept:export')")
    @Log(title = "投票单位", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TpDept tpDept)
    {
        List<TpDept> list = tpDeptService.selectTpDeptList(tpDept);
        ExcelUtil<TpDept> util = new ExcelUtil<TpDept>(TpDept.class);
        util.exportExcel(response, list, "投票单位数据");
    }

    /**
     * 获取投票单位详细信息
     */
//    @PreAuthorize("@ss.hasPermi('system:dept:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(tpDeptService.selectTpDeptById(id));
    }

    /**
     * 新增投票单位
     */
//    @PreAuthorize("@ss.hasPermi('system:dept:add')")
    @Log(title = "投票单位", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TpDept tpDept)
    {
        return toAjax(tpDeptService.insertTpDept(tpDept));
    }

    /**
     * 修改投票单位
     */
//    @PreAuthorize("@ss.hasPermi('system:dept:edit')")
    @Log(title = "投票单位", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TpDept tpDept)
    {
        return toAjax(tpDeptService.updateTpDept(tpDept));
    }

    /**
     * 删除投票单位
     */
//    @PreAuthorize("@ss.hasPermi('system:dept:remove')")
    @Log(title = "投票单位", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(tpDeptService.deleteTpDeptByIds(ids));
    }
}
