package com.ruoyi.system.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.system.domain.TpInfo;
import com.ruoyi.system.domain.TpInfoCb;

/**
 * 投票信息Mapper接口
 * 
 * @author ruoyi
 * @date 2024-10-11
 */
public interface TpInfoMapper 
{
    /**
     * 查询投票信息
     * 
     * @param id 投票信息主键
     * @return 投票信息
     */
    public TpInfo selectTpInfoById(Long id);

    /**
     * 查询投票信息列表
     * 
     * @param tpInfo 投票信息
     * @return 投票信息集合
     */
    public List<TpInfo> selectTpInfoList(TpInfo tpInfo);

    /**
     * 新增投票信息
     * 
     * @param tpInfo 投票信息
     * @return 结果
     */
    public int insertTpInfo(TpInfo tpInfo);

    /**
     * 修改投票信息
     * 
     * @param tpInfo 投票信息
     * @return 结果
     */
    public int updateTpInfo(TpInfo tpInfo);

    /**
     * 删除投票信息
     * 
     * @param id 投票信息主键
     * @return 结果
     */
    public int deleteTpInfoById(Long id);

    /**
     * 批量删除投票信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTpInfoByIds(Long[] ids);

    /**
     * 批量删除投票信息从
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTpInfoCbByZbids(Long[] ids);
    
    /**
     * 批量新增投票信息从
     * 
     * @param tpInfoCbList 投票信息从列表
     * @return 结果
     */
    public int batchTpInfoCb(List<TpInfoCb> tpInfoCbList);
    

    /**
     * 通过投票信息主键删除投票信息从信息
     * 
     * @param id 投票信息ID
     * @return 结果
     */
    public int deleteTpInfoCbByZbid(Long id);

    TpInfo selectTpInfoByIp(Map map);


    List<TpInfo> selectTpInfoListjg(TpInfo tpInfo);


}
