package com.ruoyi.system.service;

import java.net.UnknownHostException;
import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.TpInfo;

/**
 * 投票信息Service接口
 * 
 * @author ruoyi
 * @date 2024-10-11
 */
public interface ITpInfoService 
{
    /**
     * 查询投票信息
     * 
     * @param id 投票信息主键
     * @return 投票信息
     */
    public TpInfo selectTpInfoById(Long id);

    /**
     * 查询投票信息列表
     * 
     * @param tpInfo 投票信息
     * @return 投票信息集合
     */
    public List<TpInfo> selectTpInfoList(TpInfo tpInfo);

    /**
     * 新增投票信息
     * 
     * @param tpInfo 投票信息
     * @return 结果
     */
    public AjaxResult insertTpInfo(TpInfo tpInfo) throws UnknownHostException;

    /**
     * 修改投票信息
     * 
     * @param tpInfo 投票信息
     * @return 结果
     */
    public int updateTpInfo(TpInfo tpInfo);

    /**
     * 批量删除投票信息
     * 
     * @param ids 需要删除的投票信息主键集合
     * @return 结果
     */
    public int deleteTpInfoByIds(Long[] ids);

    /**
     * 删除投票信息信息
     * 
     * @param id 投票信息主键
     * @return 结果
     */
    public int deleteTpInfoById(Long id);

    List<TpInfo> selectTpInfoListjg(TpInfo tpInfo);


}
