package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TpDeptMapper;
import com.ruoyi.system.domain.TpDept;
import com.ruoyi.system.service.ITpDeptService;

/**
 * 投票单位Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-10-11
 */
@Service
public class TpDeptServiceImpl implements ITpDeptService 
{
    @Autowired
    private TpDeptMapper tpDeptMapper;

    /**
     * 查询投票单位
     * 
     * @param id 投票单位主键
     * @return 投票单位
     */
    @Override
    public TpDept selectTpDeptById(Long id)
    {
        return tpDeptMapper.selectTpDeptById(id);
    }

    /**
     * 查询投票单位列表
     * 
     * @param tpDept 投票单位
     * @return 投票单位
     */
    @Override
    public List<TpDept> selectTpDeptList(TpDept tpDept)
    {
        return tpDeptMapper.selectTpDeptList(tpDept);
    }

    /**
     * 新增投票单位
     * 
     * @param tpDept 投票单位
     * @return 结果
     */
    @Override
    public int insertTpDept(TpDept tpDept)
    {
        return tpDeptMapper.insertTpDept(tpDept);
    }

    /**
     * 修改投票单位
     * 
     * @param tpDept 投票单位
     * @return 结果
     */
    @Override
    public int updateTpDept(TpDept tpDept)
    {
        return tpDeptMapper.updateTpDept(tpDept);
    }

    /**
     * 批量删除投票单位
     * 
     * @param ids 需要删除的投票单位主键
     * @return 结果
     */
    @Override
    public int deleteTpDeptByIds(Long[] ids)
    {
        return tpDeptMapper.deleteTpDeptByIds(ids);
    }

    /**
     * 删除投票单位信息
     * 
     * @param id 投票单位主键
     * @return 结果
     */
    @Override
    public int deleteTpDeptById(Long id)
    {
        return tpDeptMapper.deleteTpDeptById(id);
    }

    @Override
    public List<TpDept> selectTpDeptListjg(TpDept tpDept) {
        return tpDeptMapper.selectTpDeptListjg(tpDept);
    }
}
